## bacula-doc 9.4.4

=== images/svg/Makefile ===
#
# Makefile for converting svg files
# to something else: png, pdf, eps
#
# 10-Oct-2012 - Philippe Chauvat / Bacula Systems
#
INKSCAPE=inkscape
INKSCAPE_FLAGS=-z
INKSCAPE_OUTPUT=>>./inkscape.log 2>&1
SVG_TO_PDF=-A
SVG_TO_EPS=-E
SVG_TO_PNG=-e
PDFDIR=../pdf
PNGDIR=../png
EPSDIR=../eps

SVGS=$(wildcard *.svg)
PDFS=$(SVGS:.svg=.pdf)
EPSS=$(SVGS:.svg=.eps)
PNGS=$(SVGS:.svg=.png)

vpath %.eps $(EPSDIR)

first_rule:

all: pdf png eps

.SUFFIXES:
.PHONY:
.DONTCARE:
#
# PDF images creation
pdf: $(PDFS)
$(PDFS): | $(PDFDIR)
$(PDFDIR):
	@echo "Creating PDF images directory..."
	@mkdir $(PDFDIR)
	@echo "Done"
%.pdf: %.svg
	${INKSCAPE} ${INKSCAPE_FLAGS} ${SVG_TO_PDF} $(PDFDIR)/$@ $< $(INKSCAPE_OUTPUT)
#
# EPS images creation
vpath %.pdf $(PDFDIR)
eps: $(EPSS)
$(EPSS): | $(EPSDIR)
$(EPSDIR):
	@echo "Creating EPS images directory..."
	@mkdir $(EPSDIR)
	@echo "Done"
%.eps: %.svg
	${INKSCAPE} ${INKSCAPE_FLAGS} ${SVG_TO_EPS} $(EPSDIR)/$@ $< $(INKSCAPE_OUTPUT)
#
# PNG images creation
vpath %.png $(PNGDIR)
png: $(PNGS)
$(PNGS): | $(PNGDIR)
$(PNGDIR):
	@echo "Creating PNG images directory..."
	@mkdir $(PNGDIR)
	@echo "Done"
%.png: %.svg
	${INKSCAPE} ${INKSCAPE_FLAGS} ${SVG_TO_PNG} $(PNGDIR)/$@ $< $(INKSCAPE_OUTPUT)

clean:
	@echo " "
	@echo "Cleaning all generated images..."
	@rm -rf $(PDFDIR)
	@rm -rf $(PNGDIR)
	@rm -rf $(EPSDIR)
	@echo "All generated images cleaned."
	@echo "Deleting log files"
	@rm -f *.log
	@echo "Everything cleaned up"

distclean: clean

=== manuals/en/console/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#
#
# If you are having problems getting "make" to work, debugging it is
#  easier if can see the output from latex, which is normally redirected
#  to /dev/null.  To see it, do the following:
#
#   cd docs/manual
#   make tex
#   latex bacula.tex
#
#  typically the latex command will stop indicating the error (e.g. a
#  missing \ in front of a _ or a missing { or ] ...
#
#  The following characters must be preceded by a backslash
#    to be entered as printable characters:
# 
#    # $ % & ~ _ ^ \ { }
#

IMAGES=../../../images/

DOC=console
MAINDOC=Bacula_Console_Operators_Gu.html
DOCDIR=`pwd`
TEXFILES=$(wildcard *tex)
MAKEFORWEB=$(DOCDIR)/web.makefile
WEBFILESTOLINK=$(DOCDIR)/latex2html-init.pl $(DOCDIR)/bacula.sty $(DOCDIR)/translate_images.pl
#
# Main directory where to find all the documentation
DESTDIR=../pdf-and-html
#
# Location of documentation in PDF
PDF_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Location of HTML documentation
HTML_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Temporary directory to translate tex to HTML
WWW_BUILD_DIR=$(DESTDIR)/www-$(DOC)
#
# LATEX compiler
LATEX_TO_PDF=pdflatex --output-directory $(PDF_DEST_DIR)
first_rule: all

all: pdftex web mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:

destdir:
	@echo
	@echo "Making output directories..."
	@mkdir -p $(PDF_DEST_DIR) $(HTML_DEST_DIR)
	echo "Output directories done"

pdfcovers:
	@echo ""
	@echo "Making covers for $(DOC)"
	@(cd $(IMAGES)/svg ; make pdf)
	@echo "Covers done."
	@echo ""

external-references: destdir
	@echo " "
	@echo "Building external references for $(DOC)"
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC)
	@rm -f $(PDF_DEST_DIR)/$(DOC).pdf
	@echo "$(DOC) external references done."

pdftex: destdir
	@echo ""
	@echo "Making PDF manual with PDFLATEX compile..."
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC); makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null ; $(LATEX_TO_PDF) $(DOC); $(LATEX_TO_PDF) $(DOC)
epscovers:
	@echo " "
	@echo -n "Linking coverpage and background EPS format..."
	@(cd $(SVGCOVERSDIR) ; make eps)
	@ln -sf `pwd`/${EPSCOVERSDIR}/${COVERNAME}.eps `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.eps
	@rm -f `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.pdf
	@echo "Done."

commonfiles:
	@echo "Making version `cat version.tex`"
	@echo -n "Linking shared files..."
	@(for L in $(LICENCES); do ln -sf $$L .; done)
	@echo "Done"


web: mini-clean
	@echo "Making web"
	@rm -rf $(WWW_BUILD_DIR)
	@mkdir -p $(WWW_BUILD_DIR)
	@echo "Adapting $(DOC) tex files for HTML documentation..."
	@(for F in $(TEXFILES) ;\
	do \
	cat $$F | sed -f ../pattern-to-handle > $(WWW_BUILD_DIR)/$$F ; \
	done)
	@ln -sf $(MAKEFORWEB) $(WWW_BUILD_DIR)/Makefile
	@(for F in $(WEBFILESTOLINK);\
	do \
	ln -sf $$F $(WWW_BUILD_DIR)/;\
	done)
	(cd $(WWW_BUILD_DIR) ; make )
	@echo "Done making web"

show:
	evince $(PDF_DEST_DIR)/${DOC}.pdf

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS
	@rm -rf $(WWW_BUILD_DIR)

clean:
	@rm -f graphicspolicy.tex
	@rm -f 1 2 3 *.tex~
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f ${DOC}i-*.tex
	@rm -rf $(WWW_BUILD_DIR)

distclean: clean
	@rm -f images.pl labels.pl internals.pl
	@rm -rf $(WWW_BUILD_DIR)
	@rm -rf $(HTML_DEST_DIR)

=== manuals/en/developers/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#

IMAGES=../../../images

DOC=developers
MAINDOC=Developer_s_Guide.html
DOCDIR=`pwd`
TEXFILES=$(wildcard *tex)
MAKEFORWEB=$(DOCDIR)/web.makefile
WEBFILESTOLINK=$(DOCDIR)/latex2html-init.pl $(DOCDIR)/bacula.sty $(DOCDIR)/translate_images.pl
#
# Main directory where to find all the documentation
DESTDIR=../pdf-and-html
#
# Location of documentation in PDF
PDF_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Location of HTML documentation
HTML_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Temporary directory to translate tex to HTML
WWW_BUILD_DIR=$(DESTDIR)/www-$(DOC)
#
# LATEX compiler
LATEX_TO_PDF=pdflatex --output-directory $(PDF_DEST_DIR)

first_rule: all

all: pdftex web mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


pdfimages: 
	@echo "Generating PDF images..."
	@(cd ${IMAGES}/svg ; make pdf)
	@echo "Done."

pngimages:
	@echo "Generating PNG images..."
	@(cd ${IMAGES}/svg ; make png)
	@echo "Done."

epsimages:
	@echo "Generating EPS images..."
	@(cd ${IMAGES}/svg ; make eps)
	@rm -rf ${IMAGES}/png
	@rm -rf ${IMAGES}/pdf
	@echo "Done."

epscovers:
	@echo -n "Linking coverpage and background EPS format..."
	@(cd $(SVGCOVERSDIR) ; make eps)
	@ln -sf `pwd`/${EPSCOVERSDIR}/${COVERNAME}.eps `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.eps
	@rm -f `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.pdf
	@echo "Done."

commonfiles:
	@echo -n "Making version `cat version.tex`"
	@echo -n "Linking shared files..."
	@(for L in $(LICENCES); do ln -sf $$L .; done)
	@echo "Done"

tex:	epscovers epsimages commonfiles
	@ln -sf $(TEXCOMPILERFILE) $(BSYSCOMPILERFILE)
	touch ${DOC}.idx ${DOC}i-general.tex
	-latex -interaction=batchmode ${DOC}.tex
	makeindex ${DOC}.idx >/dev/null 2>/dev/null
	-latex -interaction=batchmode ${DOC}.tex

destdir:
	@echo
	@echo "Making output directories..."
	@mkdir -p $(PDF_DEST_DIR) $(HTML_DEST_DIR)
	echo "Output directories done"

pdfcovers:
	@echo ""
	@echo "Making covers for $(DOC)"
	@(cd $(IMAGES)/svg ; make pdf)
	@echo "Covers done."
	@echo ""

external-references: destdir
	@echo " "
	@echo "Building external references for $(DOC)"
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC)
	@rm -f $(PDF_DEST_DIR)/$(DOC).pdf
	@echo "$(DOC) external references done."

pdftex: destdir
	@echo ""
	@echo "Making PDF manual with $(LATEX_TO_PDF)compile..."
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC); makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null ; $(LATEX_TO_PDF) $(DOC); $(LATEX_TO_PDF) $(DOC)
	@echo "Done"


web: mini-clean
	@echo "Making web"
	@rm -rf $(WWW_BUILD_DIR)
	@mkdir -p $(WWW_BUILD_DIR)
	@echo "Adapting $(DOC) tex files for HTML documentation..."
	@(for F in $(TEXFILES) ;\
	do \
	cat $$F | sed -f ../pattern-to-handle > $(WWW_BUILD_DIR)/$$F ; \
	done)
	@ln -sf $(MAKEFORWEB) $(WWW_BUILD_DIR)/Makefile
	@(for F in $(WEBFILESTOLINK);\
	do \
	ln -sf $$F $(WWW_BUILD_DIR)/;\
	done)
	(cd $(WWW_BUILD_DIR) ; make )
	@echo "Done making web"


show:
	evince $(PDF_DEST_DIR)/${DOC}.pdf

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS
	@rm -rf ../www-$(DOC)

clean:
	@rm -f graphicspolicy.tex
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f images.tex ${DOC}i.tex
	@rm -f ${DOC}i-*.tex
	@rm -rf $(WWW_BUILD_DIR)

distclean:  clean
	@rm -f ${DOC}.html ${DOC}.pdf
	@rm -rf $(WWW_BUILD_DIR)
	@rm -rf $(HTML_DEST_DIR)

=== debian/changelog ===
bacula-doc (9.4.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 07 Jul 2019 11:31:14 +0200

bacula-doc (9.4.4-1) experimental; urgency=medium

  * New Upstream version.
  * Switch to debhelper-compat virtual package.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 19 Jun 2019 10:06:24 +0200

bacula-doc (9.4.2-2) unstable; urgency=medium

  * Raise debhelper compatibility level to 12.
  * Update debian/copyright.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 25 Feb 2019 18:09:26 +0100

=== debian/control ===
Source: bacula-doc
Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders:
 Carsten Leonhardt <leo@debian.org>,
Section: doc
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 gawk,
 inkscape,
 latex2html (>= 2018.3-debian1-4~),
 libhtml-parser-perl,
 libhtml-treebuilder-libxml-perl,
 texlive-base,
 texlive-fonts-recommended,
 texlive-latex-recommended (>=2018.20190122),
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/bacula-team/bacula-docs
Vcs-Git: https://salsa.debian.org/bacula-team/bacula-docs.git
Homepage: http://www.bacula.org/

Package: bacula-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Documentation for Bacula
 This package provides the documentation for Bacula, a backup program
 that permits you to manage backup, recovery, and verification of
 computer data across a network of computers of different kinds.

## bacula-doc 9.6.5

=== debian/changelog ===
bacula-doc (9.6.5-1) unstable; urgency=medium

  * New upstream version.
  * Raise debhelper compatibility level to 13.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 15 Jun 2020 19:38:38 +0200

bacula-doc (9.6.3-1) unstable; urgency=medium

  * New upstream version.

  [ Sven Hartge ]
  * Adapt Salsa CI configuration to new defaults.

  [ Carsten Leonhardt ]
  * Complies to standards version to 4.5.0.
  * Fix some broken references.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 04 Mar 2020 19:05:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: doc
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gawk,
  inkscape,
  latex2html (>= 2018.3-debian1-4~),
@@ -14,7 +14,7 @@
  texlive-base,
  texlive-fonts-recommended,
  texlive-latex-recommended (>=2018.20190122),
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bacula-team/bacula-docs
 Vcs-Git: https://salsa.debian.org/bacula-team/bacula-docs.git
